Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface Attribute

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Subinterfaces:
    `TopLevelAttribute`
  All Known Implementing Classes:
    `AttributeImpl`, `TopLevelAttributeImpl`

      public interface Attribute
      extends Annotated

  An XML attribute(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `Attribute.Use` | An XML use(@).

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<Attribute>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LocalSimpleType` | `addNewSimpleType()` | Appends and returns a new empty "simpleType" element
    `String` | `getDefault()` | Gets the "default" attribute
    `String` | `getFixed()` | Gets the "fixed" attribute
    `FormChoice.Enum` | `getForm()` | Gets the "form" attribute
    `String` | `getName()` | Gets the "name" attribute
    `QName` | `getRef()` | Gets the "ref" attribute
    `LocalSimpleType` | `getSimpleType()` | Gets the "simpleType" element
    `QName` | `getType()` | Gets the "type" attribute
    `Attribute.Use.Enum` | `getUse()` | Gets the "use" attribute
    `boolean` | `isSetDefault()` | True if has "default" attribute
    `boolean` | `isSetFixed()` | True if has "fixed" attribute
    `boolean` | `isSetForm()` | True if has "form" attribute
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetRef()` | True if has "ref" attribute
    `boolean` | `isSetSimpleType()` | True if has "simpleType" element
    `boolean` | `isSetType()` | True if has "type" attribute
    `boolean` | `isSetUse()` | True if has "use" attribute
    `void` | `setDefault​(String xdefault)` | Sets the "default" attribute
    `void` | `setFixed​(String fixed)` | Sets the "fixed" attribute
    `void` | `setForm​(FormChoice.Enum form)` | Sets the "form" attribute
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setRef​(QName ref)` | Sets the "ref" attribute
    `void` | `setSimpleType​(LocalSimpleType simpleType)` | Sets the "simpleType" element
    `void` | `setType​(QName type)` | Sets the "type" attribute
    `void` | `setUse​(Attribute.Use.Enum use)` | Sets the "use" attribute
    `void` | `unsetDefault()` | Unsets the "default" attribute
    `void` | `unsetFixed()` | Unsets the "fixed" attribute
    `void` | `unsetForm()` | Unsets the "form" attribute
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetRef()` | Unsets the "ref" attribute
    `void` | `unsetSimpleType()` | Unsets the "simpleType" element
    `void` | `unsetType()` | Unsets the "type" attribute
    `void` | `unsetUse()` | Unsets the "use" attribute
    `XmlString` | `xgetDefault()` | Gets (as xml) the "default" attribute
    `XmlString` | `xgetFixed()` | Gets (as xml) the "fixed" attribute
    `FormChoice` | `xgetForm()` | Gets (as xml) the "form" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `XmlQName` | `xgetRef()` | Gets (as xml) the "ref" attribute
    `XmlQName` | `xgetType()` | Gets (as xml) the "type" attribute
    `Attribute.Use` | `xgetUse()` | Gets (as xml) the "use" attribute
    `void` | `xsetDefault​(XmlString xdefault)` | Sets (as xml) the "default" attribute
    `void` | `xsetFixed​(XmlString fixed)` | Sets (as xml) the "fixed" attribute
    `void` | `xsetForm​(FormChoice form)` | Sets (as xml) the "form" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute
    `void` | `xsetRef​(XmlQName ref)` | Sets (as xml) the "ref" attribute
    `void` | `xsetType​(XmlQName type)` | Sets (as xml) the "type" attribute
    `void` | `xsetUse​(Attribute.Use use)` | Sets (as xml) the "use" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<Attribute> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getSimpleType

          LocalSimpleType getSimpleType()

      Gets the "simpleType" element

    - #### isSetSimpleType

          boolean isSetSimpleType()

      True if has "simpleType" element

    - #### setSimpleType

          void setSimpleType​(LocalSimpleType simpleType)

      Sets the "simpleType" element

    - #### addNewSimpleType

          LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element

    - #### unsetSimpleType

          void unsetSimpleType()

      Unsets the "simpleType" element

    - #### getName

          String getName()

      Gets the "name" attribute

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName​(String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getRef

          QName getRef()

      Gets the "ref" attribute

    - #### xgetRef

          XmlQName xgetRef()

      Gets (as xml) the "ref" attribute

    - #### isSetRef

          boolean isSetRef()

      True if has "ref" attribute

    - #### setRef

          void setRef​(QName ref)

      Sets the "ref" attribute

    - #### xsetRef

          void xsetRef​(XmlQName ref)

      Sets (as xml) the "ref" attribute

    - #### unsetRef

          void unsetRef()

      Unsets the "ref" attribute

    - #### getType

          QName getType()

      Gets the "type" attribute

    - #### xgetType

          XmlQName xgetType()

      Gets (as xml) the "type" attribute

    - #### isSetType

          boolean isSetType()

      True if has "type" attribute

    - #### setType

          void setType​(QName type)

      Sets the "type" attribute

    - #### xsetType

          void xsetType​(XmlQName type)

      Sets (as xml) the "type" attribute

    - #### unsetType

          void unsetType()

      Unsets the "type" attribute

    - #### getUse

          Attribute.Use.Enum getUse()

      Gets the "use" attribute

    - #### xgetUse

          Attribute.Use xgetUse()

      Gets (as xml) the "use" attribute

    - #### isSetUse

          boolean isSetUse()

      True if has "use" attribute

    - #### setUse

          void setUse​(Attribute.Use.Enum use)

      Sets the "use" attribute

    - #### xsetUse

          void xsetUse​(Attribute.Use use)

      Sets (as xml) the "use" attribute

    - #### unsetUse

          void unsetUse()

      Unsets the "use" attribute

    - #### getDefault

          String getDefault()

      Gets the "default" attribute

    - #### xgetDefault

          XmlString xgetDefault()

      Gets (as xml) the "default" attribute

    - #### isSetDefault

          boolean isSetDefault()

      True if has "default" attribute

    - #### setDefault

          void setDefault​(String xdefault)

      Sets the "default" attribute

    - #### xsetDefault

          void xsetDefault​(XmlString xdefault)

      Sets (as xml) the "default" attribute

    - #### unsetDefault

          void unsetDefault()

      Unsets the "default" attribute

    - #### getFixed

          String getFixed()

      Gets the "fixed" attribute

    - #### xgetFixed

          XmlString xgetFixed()

      Gets (as xml) the "fixed" attribute

    - #### isSetFixed

          boolean isSetFixed()

      True if has "fixed" attribute

    - #### setFixed

          void setFixed​(String fixed)

      Sets the "fixed" attribute

    - #### xsetFixed

          void xsetFixed​(XmlString fixed)

      Sets (as xml) the "fixed" attribute

    - #### unsetFixed

          void unsetFixed()

      Unsets the "fixed" attribute

    - #### getForm

          FormChoice.Enum getForm()

      Gets the "form" attribute

    - #### xgetForm

          FormChoice xgetForm()

      Gets (as xml) the "form" attribute

    - #### isSetForm

          boolean isSetForm()

      True if has "form" attribute

    - #### setForm

          void setForm​(FormChoice.Enum form)

      Sets the "form" attribute

    - #### xsetForm

          void xsetForm​(FormChoice form)

      Sets (as xml) the "form" attribute

    - #### unsetForm

          void unsetForm()

      Unsets the "form" attribute